Verify v1 · Autocomplete
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Autocomplete
Authentication: Use your Consumer Key in the
Authorizationheader.
Suggest Australian addresses from a partial query. Use the selected ID with address info to retrieve details.
- Leading and trailing query whitespace is removed before the 3–200 character length check
- Results are ranked starting at 1. No suggestions returns
200with an emptyresultsarray
Available on Free and paid plans. Each processed request costs 0.1 credits. See Interpreting Results for result handling.
Code
Autocomplete › Request Body
queryPartial address to search for. Leading and trailing whitespace is removed before checking the 3–200 character length.
typeType of suggestion to return. Only address is supported.
maxResultsThe maximum number of results per search.
Autocomplete › Responses
Suggestions returned. An empty results list is a successful no-match response.
attributionData attribution notice.
requestTimeStampUnix timestamp in seconds for the response.
requestDateTimeUTC date and time for the request.